# std::unordered_multiset<Key,Hash,KeyEqual,Allocator>::size

From cppreference.com
< cpp‎ | container‎ | unordered multiset

size_type size() const noexcept; |  | (since C++11)

Returns the number of elements in the container, i.e. std::distance(begin(), end()).

### Parameters

(none)

### Return value

The number of elements in the container.

### Complexity

Constant.

### Example

The following code uses `size` to display the number of elements in a std::unordered_multiset<int>:

Run this code

    #include <unordered_set>
    #include <iostream>

    int main()
    {
        std::unordered_multiset<int> nums {1, 3, 5, 7};

        std::cout << "nums contains " << nums.size() << " elements.\n";
    }

Output:

    nums contains 4 elements.

### See also

empty | checks whether the container is empty (public member function)
max_size | returns the maximum possible number of elements (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/unordered_multiset/size&oldid=50765"